{ python3, fetchFromGitHub, lib }:

python3.pkgs.buildPythonApplication rec {
  pname = "grasp";
  version = "0.6.6";

  src = fetchFromGitHub {
    owner = "karlicoss";
    repo = pname;
    rev = "grasp-${version}";
    sha256 = "0000000000000000000000000000000000000000000000000000";
  };

  meta = with lib; {
    description = "grasp server";
    # License is complicated...
    #license = licenses.agpl3;
    homepage = "https://github.com/karlicoss/grasp";
    platforms = platforms.all;
    maintainers = with stdenv.lib.maintainers; [ chickensoupwithrice ];
  };
}
